//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;


namespace MindFusion.Reporting.WinForms.Samples.CS.PieCharts
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();

			var pieChartReport = new PieChartReport();
			reportViewer.Report = pieChartReport;
		}

		/// <summary>
		/// Handles the Click event of the Preview menu.
		/// </summary>
		private void menuItemPreview_Click(object sender, EventArgs e)
		{
			var printer = new ReportPrinter();
			printer.Report = reportViewer.Report;

			var options = new PreviewOptions();
			options.TitleBarIcon = this.Icon;

			var preview = new PrintPreviewForm();
			preview.Text = "Catalog Report (Preview)";
			preview.Document = printer;
			preview.ShowDialog();
		}

		/// <summary>
		/// Handles the Click event of the Exit menu.
		/// </summary>
		private void menuItemExit_Click(object sender, EventArgs e)
		{
			Close();
		}
	}
}