//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System.Drawing;


namespace MindFusion.Reporting.WinForms.Samples.CS.PieCharts
{
	partial class PieChartReport : Report
	{
		public PieChartReport()
		{
			InitializeComponent();

			sales_by_CategoryTableAdapter1.Fill(nwindDataSet1.Sales_by_Category);
			categoriesTableAdapter1.Fill(nwindDataSet1.Categories);
		}

		/// <summary>
		/// Handles the RenderContents event of the small canvas indicating
		/// the color of the related product in the pie chart.
		/// </summary>
		private void canvas1_RenderContents(object sender, DrawCanvasEventArgs e)
		{
			var bounds = e.Bounds;
			bounds.Inflate(-2, -1);

			// Obtain the corresponding brush from the pie chart
			Drawing.Brush brush = pieChart.ChartBrushes[(e.RangeIndex - 1) % pieChart.ChartBrushes.Count];

			// Create a System.Drawing.Brush corresponding to the pie chart's brush
			using (Brush gdiBrush = brush.CreateGdiBrush(bounds))
			{
				// Render a rectangle using the appropriate brush
				e.Graphics.FillRectangle(gdiBrush, bounds);

				using (Pen gdiPen = new Pen(Color.Black, 0))
					e.Graphics.DrawRectangle(gdiPen, bounds.X, bounds.Y, bounds.Width, bounds.Height);
			}
		}
	}
}
